function love.load()
	love.graphics.setBackgroundColor(236, 240, 241)
	love.graphics.clear()
	
	player = {}
	player.x = 0
	player.y = 0
	player.w = 50
	player.h = 50
	player.direction = 'up'
	player.speed = 200
	
	box = {}
	box.x = 100
	box.y = 100
	box.w = 50
	box.h = 50
end

function checkBB(ax1,ay1,aw,ah, bx1,by1,bw,bh)
  local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
  return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end

function checkCollision(newX, newY)
	if checkBB(newX, newY, player.w, player.h, box.x, box.y, box.w, box.h) then
		while checkBB(newX, newY, player.w, player.h, box.x, box.y, box.w, box.h) do
			if player.direction == 'left' then
				newX = newX - 1
			elseif player.direction == 'right' then
				newX = newX + 1
			elseif player.direction == 'up' then
				newY = newY - 1
			elseif player.direction == 'down' then
				newY = newY + 1
			end
		end
	else
		player.x = newX
		player.y = newY
	end
end

function love.update(dt)
	if love.keyboard.isDown('w') then
		player.direction = 'up'
		checkCollision(player.x, player.y - player.speed * dt)
	elseif love.keyboard.isDown('s') then
		player.direction = 'down'
		checkCollision(player.x, player.y + player.speed * dt)
	end
	
	if love.keyboard.isDown('a') then
		player.direction = 'left'
		checkCollision(player.x - player.speed * dt, player.y)
	elseif love.keyboard.isDown('d') then
		player.direction = 'right'
		checkCollision(player.x + player.speed * dt, player.y)
	end
end

function love.draw()
	love.graphics.setColor(0, 0, 0)
	love.graphics.print('Player direction: ' .. player.direction, 10, 10)
	love.graphics.setColor(52, 73, 94)
	love.graphics.rectangle('fill', player.x, player.y, player.w, player.h)
	love.graphics.setColor(231, 76, 60)
	love.graphics.rectangle('fill', box.x, box.y, box.w, box.h)
end